import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { AutoScalingGroupState } from '../states/auto-scaling-group.state';
export declare type SuspendAutoScalingGroupsState = AutoScalingGroupState[];
export declare class SuspendAutoScalingGroupsTrick implements TrickInterface<SuspendAutoScalingGroupsState> {
    private asClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getCurrentState(task: ListrTaskWrapper<any, any>, currentState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<void>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, originalState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    private listAutoScalingGroups;
    private conserveProcesses;
    private restoreProcesses;
}
