import { Listr, ListrTaskWrapper } from 'listr2';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { DynamoDBTableState } from '../states/dynamodb-table.state';
export declare type DecreaseDynamoDBProvisionedRcuWcuState = DynamoDBTableState[];
export declare class DecreaseDynamoDBProvisionedRcuWcuTrick implements TrickInterface<DecreaseDynamoDBProvisionedRcuWcuState> {
    private ddbClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getCurrentState(task: ListrTaskWrapper<any, any>, currentState: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper<any, any>, currentState: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper<any, any>, currentState: DecreaseDynamoDBProvisionedRcuWcuState, options: TrickOptionsInterface): Promise<Listr>;
    private listTableNames;
    private getTableState;
    private conserveTableProvisionedRcuWcu;
    private restoreTableProvisionedRcuWcu;
}
